import './demo2.css';
import Box from '../../box';
import Button from '..';
import React from 'react';
import ReactDOM from 'react-dom';
const props = {
    component: 'a',
    href: 'http://www.alibaba.com',
    target: '_blank',
};
ReactDOM.render(React.createElement("div", null,
    React.createElement(Box, { direction: "row", className: "demo2-btn-row", spacing: 20 },
        React.createElement("span", { className: "demo2-btn-label" }, "XL:"),
        React.createElement(Button, Object.assign({}, props, { size: "xl", type: "primary" }), "alibaba.com"),
        React.createElement(Button, Object.assign({}, props, { size: "xl", type: "secondary" }), "alibaba.com"),
        React.createElement(Button, Object.assign({}, props, { size: "xl", type: "normal" }), "alibaba.com"),
        React.createElement(Button, Object.assign({}, props, { size: "xl", loading: true }), "alibaba.com loading")),
    React.createElement(Box, { direction: "row", className: "demo2-btn-row", spacing: 20 },
        React.createElement("span", { className: "demo2-btn-label" }, "Large:"),
        React.createElement(Button, Object.assign({}, props, { size: "large", type: "primary" }), "alibaba.com"),
        React.createElement(Button, Object.assign({}, props, { size: "large", type: "secondary" }), "alibaba.com"),
        React.createElement(Button, Object.assign({}, props, { size: "large", type: "normal" }), "alibaba.com"),
        React.createElement(Button, Object.assign({}, props, { size: "large", loading: true }), "alibaba.com loading")),
    React.createElement(Box, { direction: "row", className: "demo2-btn-row", spacing: 20 },
        React.createElement("span", { className: "demo2-btn-label" }, "Medium:"),
        React.createElement(Button, Object.assign({}, props, { size: "medium", type: "primary" }), "alibaba.com"),
        React.createElement(Button, Object.assign({}, props, { size: "medium", type: "secondary" }), "alibaba.com"),
        React.createElement(Button, Object.assign({}, props, { size: "medium", type: "normal" }), "alibaba.com"),
        React.createElement(Button, Object.assign({}, props, { size: "medium", loading: true }), "alibaba.com loading")),
    React.createElement(Box, { direction: "row", className: "demo2-btn-row", spacing: 20 },
        React.createElement("span", { className: "demo2-btn-label" }, "Small:"),
        React.createElement(Button, Object.assign({}, props, { size: "small", type: "primary" }), "alibaba.com"),
        React.createElement(Button, Object.assign({}, props, { size: "small", type: "secondary" }), "alibaba.com"),
        React.createElement(Button, Object.assign({}, props, { size: "small", type: "normal" }), "alibaba.com"),
        React.createElement(Button, Object.assign({}, props, { size: "small", loading: true }), "alibaba.com loading")),
    React.createElement(Box, { direction: "row", className: "demo2-btn-row", spacing: 20 },
        React.createElement("span", { className: "demo2-btn-label" }, "XS:"),
        React.createElement(Button, Object.assign({}, props, { size: "xs", type: "primary" }), "alibaba.com"),
        React.createElement(Button, Object.assign({}, props, { size: "xs", type: "secondary" }), "alibaba.com"),
        React.createElement(Button, Object.assign({}, props, { size: "xs", type: "normal" }), "alibaba.com"),
        React.createElement(Button, Object.assign({}, props, { size: "xs", loading: true }), "alibaba.com loading"))), document.getElementById('button-demo-2'));
